<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title> JSON </title>
  <script>

	window.onload = init;
	function init() {
		var fidoString = '{ "name": "Fido", "breed": "Mixed", "weight": 38 }';
		var fido = JSON.parse(fidoString);
		console.log("We have made a dog out of a string! " + fido.name);
		
		// 1. Define a new JS object
		var employee = {
    name: { first: "Colin",
            second: "Stephen" },
    title: "Assistant Lecturer"
		};
		// 2. Convert your object to a JSON string myString
		var myString = JSON.stringify(employee);
		var div = document.getElementById('employee');
		div.appendChild(document.createTextNode(myString));
		div.appendChild(document.createElement('br'));
		// 3. Convert the string back to a JS object myObject
		var myObject = JSON.parse(myString);
		var employeeName = myObject.name;
		// 4. Stringify the new subobject and display it
		div.appendChild(document.createTextNode(JSON.stringify(employeeName)));
		div.appendChild(document.createElement('br'));
		div.appendChild(document.createElement('br'));
		
		// Other things
		div.appendChild(document.createTextNode(myObject));
		div.appendChild(document.createElement('br'));
		var em2 = JSON.parse(myString);
		div.appendChild(document.createTextNode(em2.name.first + ' ' + em2.name.second + ', ' + em2.title));
		div.appendChild(document.createElement('br'));
		

var fido2 = {
	name: "Fido",
	breed: "Mixed",
	weight: 38
};
var fidoString = JSON.stringify(fido2);
console.log("We made a string from a dog! " + fidoString);
}
  </script>
</head>
<body>
	<div id='employee'></div>
</body>
</html>
